
package cz.upol.pja.lecture07.beans;

import cz.upol.pja.lecture07.model.Quote;
import cz.upol.pja.lecture07.api.QuoteManagement;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class QuoteManagementBean implements QuoteManagement {
    
    @PersistenceContext(unitName="jpa-quote-db")
    private EntityManager entityManager;

    @Override
    public void createQuote(String text, String author) {
        Quote q = new Quote(text, author);
        entityManager.persist(q);
    }

    @Override
    public void deleteQuote(int id) {
        entityManager.createQuery("delete from Quote q where q.id = :id")
                .setParameter("id", id)
                .executeUpdate();
    }

    @Override
    public List<Quote> listAllQuotes() {
        return entityManager.createQuery("select q from Quote q").getResultList();
    }

    @Override
    public List<String> listAuthors() {
        return entityManager.createQuery("select distinct q.author from Quote q").getResultList();
    }
}
